Skip to main content
For applying a projection, need to apply a query string parameter.For details, refer to key query string parameters sections

1. Endpoint

POST/Projection

2. Authentication

Include the API key in the x-api-key header:
x-api-key

3. Request Body

The request body must be in JSON format. Below are the field descriptions:
string
required
Set a projection name. Underscores (_), numbers, and lowercase characters are permitted.
string
required
Set the projection mode. Currently, there is only the exclude option.
array
required
Set the list to exclude specific fields.
  • first_nameThe first name that was submitted
  • last_nameThe last name that was submitted
  • full_nameThe full name that was submitted
  • full_name_enThe English full name that was submitted (transliterated upon KYC approval, not translated)
  • gender: male or female
  • nationality: Country code, ISO alpha-3
  • date_of_birth: The submitted date of birth
  • ip_address: the address type of IPv4
  • idType: The type of ID (e.g., driver’s license, passport)
  • idcard_issuingCountry: Issuing country code, ISO alpha-3
  • idcard_issueDate: Issue Date of ID (YYYY-MM-DD)
  • idcard_expireDate: Expiry Date of ID (YYYY-MM-DD)
  • identityNumber
  • documentNumber
  • address_city
  • address_country
  • address_state
  • address_street
  • address_street2
  • address_zipcode
  • address_globalCode: Global address code (e.g., 8Q98HXPG+MP)
  • address_compoundCode: Compound address code (e.g., HXPG+MP, Seoul, South Korea)
  • address_formatted: Formatted detail address
  • address_input: Inputted address
  • address_detail: Inputted detail address
  • cf1: Custom field 1
  • cf2: Custom field 2
  • cf3: Custom field 3
Knowledge-Based supported fields
  • age_group
  • ssnNumber: Social Security Number.
    * For applying the lowerCamelCase convention to the written Number once more.
  • phoneNumber
e.g.
  • ["first_name","mid_name","last_name","full_name","idtype"]
  • ["date_of_birth","address_formatted","address_detail"]

4. Request Example

POST/Projection

5. Response

5-1. Success Response

5-2. Response Field

5-3. Error Codes